#!/bin/bash
#把備份檔傳至新主機的/mnt/xxxxx/account/snap
#路徑，請依需求更改
url="jetbackup_1_1_61372e51bc9e6d5908174152"
#目的地ip
push_ip="10.100.20.226"

#====================================================================
#刪除佔存
rm -f /tmp/list
rm -f /tmp/quota.list
rm -f /tmp/add_dir.sh
echo '#!/bin/bash' >>/tmp/add_dir.sh

#取得帳號列表
accountlist=$(ls -l -I . -I .. /backup/jetbackup/${url}/ | grep -v 'total' | awk '/^d/ {print $NF}')

for account in ${accountlist}; do
    ls -ltrd /backup/jetbackup/${url}/${account}/* | grep 'snap.*' | tail -n 1 | awk '{print $9}' >>/tmp/list
    x=$(quota -su ${account} | tail -n1 | awk '{printf $3}' | sed 's/M//g')
    echo "mkdir -p /mnt/account/${account}/" >>/tmp/add_dir.sh
    echo "${account},${x}" >>/tmp/quota.list
done

#傳送須建立的資料夾script
chmod +x /tmp/add_dir.sh
rsync -av /tmp/add_dir.sh root@${push_ip}:/mnt/
rsync -av /tmp/quota.list root@${push_ip}:/tmp/

#輸入判斷
while true; do
    read -p "請於還原端執行 sh /mnt/add_dir.sh  完成後請輸入Y or N繼續" yn
    case $yn in
    [Yy]*)
        break
        ;;
    [Nn]*) exit ;;
    *) echo "請輸入Y or N" ;;
    esac
done

date >> /root/jetsync_time.txt

#rsync檔案
exec </tmp/list
while read line; do

    account=$(echo $line | awk -F\/ '{print $5}')
    rsync -avp --del ${line}/ root@${push_ip}:/mnt/account/${account}/

done

date >> /root/jetsync_time.txt
